﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using OpenNETCF.IoC.UI;
using OpenNETCF.IoC;
using MachineSimulator.Presenters;

namespace MachineSimulator.Views
{
    public partial class AgentInfoView : SmartPart
    {
        AgentInfoPresenter Presenter { get; set; }

        [InjectionConstructor]
        public AgentInfoView([ServiceDependency]AgentInfoPresenter presenter)
            : this()
        {
            Presenter = presenter;
            agentAddress.DataBindings.Add("Text", Presenter, "AgentAddress"); 
        }

        public AgentInfoView()
        {
            InitializeComponent();
        }
    }
}
