﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using OpenNETCF.IoC.UI;
using OpenNETCF.IoC;
using MachineSimulator.Presenters;

namespace MachineSimulator.Views
{
    public partial class SimulationView : SmartPart
    {
        SimulationPresenter Presenter { get; set; }

        [InjectionConstructor]
        public SimulationView([ServiceDependency]SimulationPresenter presenter)
            : this()
        {
            this.Name = "Simulation";

            Presenter = presenter;
        }


        public SimulationView()
        {
            InitializeComponent();
        }
    }
}
