﻿using System;
using OpenNETCF.MTConnect;
using Okuma.CLDATAPI.Enumerations;

namespace Okuma
{
    public interface IAxis : IHostedComponent
    {
        double CommandedPosition { get; }
        double EncoderPosition { get; }
        double MachinePosition { get; }
        double ProgramPosition { get; }
        AllAxisIndexEnum AxisIndex { get; set; }
        double CommandFeedrate { get; }
        int Load { get; }
    }
}
