﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Okuma.CLDATAPI.DataAPI;
using Okuma.CLDATAPI.Enumerations;
using OpenNETCF.MTConnect;

namespace Okuma
{
    public class Turret : ToolPart
    {
        private CTurret m_turret;

        internal Turret(SubSystemEnum subSystem)
            : base(subSystem)
        {
            m_turret = new CTurret(subSystem);
        }

        public override string Name
        {
            get { return "Turret"; }
        }

        public override ComponentType ComponentType
        {
            get { return ComponentType.Turret; }
        }

        [EventDataItem]
        public string TurretMode
        {
            get { return m_turret.GetTurretMode().ToString(); }
        }
    }
}
