﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace MachineSimulator.Interfaces
{
    public interface IMachineInterface : INotifyPropertyChanged
    {
        int X { get; set; }
        int Y { get; set; }
        int Z { get; set; }
        int Power { get; set; }
        bool DoorOpen { get; set; }
        bool EStop { get; set; }
        string ControllerBlock { get; set; }
        string ControllerMode { get; set; }
        string ControllerExecution { get; set; }
        string ControllerProgram { get; set; }

        void AcknowlegeFaults();
    }
}
